<?php
require_once('../../wu-engine/wu_init.php');
$page_name = 'Редактирование товара';
$page_keys = 'Редактирование товара';
$page_desc = 'Редактирование товара';
$prevurl_1 = '/'.ADMINPATH.'/';
$prevname_1 = 'Панель управления';
$online_title = 'В панели управления';
$online_url = '/';
include('../../wu-engine/wu_header.php');
if(!USER_LOGGED) { header ("Location: /"); exit; }
$getid = intval($_GET['id']);
$maths = mysqli_query($connect_db, "SELECT id,usr,cat,inf,ty,sec,co,ti,ts,tf,st FROM `".DB_PREFIX."_es` WHERE id='$getid'");
$how = mysqli_num_rows($maths);
if ($how > 0) {
$math = mysqli_fetch_assoc($maths);
?>

<div class="panel panel-default">
<div class="panel-heading"><h6 class="panel-title"><i class="icon-pencil"></i> Редактирование товара</h6></div>
<div class="panel-body">
<div class="form-group">
<label>Категория:</label>
<select class="form-control" id="cat">
<option value="1"<?php if ($math['cat'] == 1) { echo ' selected=""'; } ?>>Скрипты порталов</option>
<option value="2"<?php if ($math['cat'] == 2) { echo ' selected=""'; } ?>>Скрипты казино</option>
<option value="3"<?php if ($math['cat'] == 3) { echo ' selected=""'; } ?>>Доски объявлений</option>
<option value="4"<?php if ($math['cat'] == 4) { echo ' selected=""'; } ?>>Интернет магазины</option>
<option value="5"<?php if ($math['cat'] == 5) { echo ' selected=""'; } ?>>Скрипты буксов,CAP</option>
<option value="6"<?php if ($math['cat'] == 6) { echo ' selected=""'; } ?>>Скрипты хайпов</option>
<option value="7"<?php if ($math['cat'] == 7) { echo ' selected=""'; } ?>>Экономические игры</option>
<option value="8"<?php if ($math['cat'] == 8) { echo ' selected=""'; } ?>>Модули для CMS</option>
<option value="9"<?php if ($math['cat'] == 9) { echo ' selected=""'; } ?>>Остальное</option>
</select>
</div>
<?php if ($math['inf'] == 0 && $math['ty'] == 1) { ?>
<div class="form-group">
<label>Секретный текст:</label>
<textarea rows="5" cols="5" class="form-control" placeholder="Текст, который получит пользователь после покупки" id="sec"><?php echo htmlspecialchars($math['sec']); ?></textarea>
</div>
<?php } ?>
<div class="form-group">
<label>Цена товара:</label>
<input type="text" class="form-control" placeholder="Введите цену в рублях" id="co" value="<?php echo $math['co']; ?>">
</div>
<div class="form-group">
<label>Название товара:</label>
<input type="text" class="form-control" placeholder="Введите название товара" id="ti" value="<?php echo htmlspecialchars($math['ti']); ?>">
</div>
<div class="form-group">
<label>Краткое описание товара:</label>
<textarea rows="5" cols="5" class="form-control" placeholder="Введите описание товара" id="ts"><?php echo htmlspecialchars($math['ts']); ?></textarea>
</div>
<div class="form-group">
<label>Полное описание товара:</label>
<div class="block-inner">
<ul class="wysihtml5-toolbar">
<li>
<select class="btn btn-default btn-icon" name="head" onchange="click_bbadd('tf', 'h=' + this.options[this.selectedIndex].value)">
<option value="Размер">Размер текста</option>
<option value="1">H1</option>
<option value="2">H2</option>
<option value="3">H3</option>
<option value="4">H4</option>
<option value="5">H5</option>
</select>
</li>
<li>
<div class="btn-group">
<a class="btn btn-default btn-icon" title="Жирный" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'b');"><i class="icon-bold"></i></a>
<a class="btn btn-default btn-icon" title="Курсив" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'i');"><i class="icon-italic"></i></a>
<a class="btn btn-default btn-icon" title="Подчёркнутый" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'u');"><i class="icon-underline"></i></a>
</div>
</li>
<li>
<div class="btn-group">
<a class="btn btn-default btn-icon" title="Текст слева" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'left');"><i class="icon-paragraph-left2"></i></a>
<a class="btn btn-default btn-icon" title="Текст по центру" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'center');"><i class="icon-paragraph-center2"></i></a>
<a class="btn btn-default btn-icon" title="Текст справа" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'right');"><i class="icon-paragraph-right2"></i></a>
</div>
</li>
<li>
<div class="btn-group">
<a class="btn btn-default btn-icon" title="Цитата" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'quote');"><i class="icon-quotes-left"></i></a>
<a class="btn btn-default btn-icon" title="Вставить ссылку" tabindex="-1" href="javascript:;" onclick="click_bbadd('tf', 'url');"><i class="icon-link"></i></a>
</div>
</li>
</ul>
<textarea rows="20" cols="5" class="form-control" style="height: auto !important;" placeholder="Введите описание товара" id="tf"><?php echo htmlspecialchars($math['tf']); ?></textarea>
</div>
</div>
<div class="form-actions text-right">
<center><a href="javascript://" id="prev" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Загружаем">Предварительный просмотр</a> <a href="javascript://" id="submit" class="btn btn-default" data-loading-text="<i class='icon-spinner7 spin'></i> Сохраняем">Сохранить</a></center>
</div>
</div>
</div>
<div class="panel panel-default" id="pprev" style="display:none;">
<div class="panel-heading">
<h6 class="panel-title">Предварительный просмотр</h6>
<div class="panel-icons-group">
<a href="#" data-panel="close" class="btn btn-link btn-icon"><i class="icon-cancel-circle"></i></a>
</div>
</div>
<div class="panel-body" id="result"></div>
</div>
<script async src="/wu-static/js/bb.js"></script>
<script type='text/javascript'>
$(function() {
var bprev = $('#prev');
bprev.click(function() {
var prev = $("#tf").val();
var allpost = {text: prev, 'token': token};
if(prev) {
bprev.button('loading');
$.ajax({
type: "POST",
url: '/wu-engine/wu-actions/eshop_item_prev.php',
data: allpost,
cache: false,
success: function(result){
bprev.button('reset');
$('#pprev').show();
$('#result').html(result);
},
error: function(){
bprev.button('reset');
serr();
}
});
} else {
$.jGrowl('Не введён текст для предпросмотра', { theme: 'growl-error' });
}
return false;
});
var btns = $('#submit');
btns.click(function(){
btns.button('loading');
var cat = $('#cat').val();
var co = $('#co').val();
var ti = $('#ti').val();
var ts = $('#ts').val();
var tf = $('#tf').val();
<?php if ($math['inf'] == 0 && $math['ty'] == 1) { ?>var sec = $('#sec').val(); <?php } ?>
$.ajax({
type: 'POST',
url: '/wu-engine/wu-actions/adm_eshop_edit.php',
data: {'id': '<?php echo $getid; ?>', 'cat': cat, <?php if ($math['inf'] == 0 && $math['ty'] == 1) { ?>'sec': sec, <?php } ?>'co': co, 'ti': ti, 'ts': ts, 'tf': tf, 'token': token},
cache: false,
success: function(result){
btns.button('reset');
if (result == '0') {
$.jGrowl('Не заполнены все необходимые поля', { theme: 'growl-error' });
}
if (result == '1') {
$.jGrowl('Сохранено', { theme: 'growl-success' });
}
if (result == '3') {
jerr();
}
},
error: function(){
btns.button('reset');
serr();
}
});
});
});
</script>
<?php
} else { echo '<div class="alert alert-danger fade in"><i class="icon-warning"></i> Такого товара не существует</div>'; }
?>

<!-- /Контент -->
<?php include('../../wu-engine/wu_footer.php'); ?>